---
title: "Get a single translatable entry"
url: https://docs.gleap.ai/en/reference/rest-api/get-translations-entries-entryid
method: GET
path: "/translations/entries/{entryId}"
api: "API Reference"
tag: "Translations"
operationId: "GetEntry"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Get a single translatable entry

`GET https://api.gleap.io/v3/translations/entries/{entryId}`

Returns the full content of a single translatable entry in the specified language. The entry ID uses the format "type:id" as returned by GET /translations/entries. The id part is a Mongo id for `article`, `collection` and `emailtemplate` (e.g. "article:507f1f77bcf86cd799439011") and the translation key for `statictranslation` (e.g. "statictranslation:welcomeText"). If no language is specified, the project's primary language is used.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `entryId` (string, required)

## Query parameters

- `language` (string)

## Headers

- `project` (string, required)

## Example request

```bash
curl --request GET \
  --url 'https://api.gleap.io/v3/translations/entries/{entryId}' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>'
```

## Responses

### 200 (`application/json`)

Ok
